Subject: Re: bug#54593: Do not create output file on error

From: Ludovic Courtès <[email-masked]>
Date: Sun, 10 Apr 2022 22:01:02 +0200

Arun Isaac <[email-masked]> skribis:

> Among other things, this upsets the use of skribilo in Makefiles. When a
> skribilo invocation in a Makefile recipe fails, an output file is still
> created, and when make is run again, the skribilo invocation is not
> re-run.

Indeed.  Furthermore, I think the output file should be created
atomically, with something like Guix’s ‘with-atomic-file-output’.

Ludo’.